//Copyright (C)2014-2021 Gowin Semiconductor Corporation.
//All rights reserved.
//File Title: Template file for instantiation
//GOWIN Version: GowinSynthesis V1.9.7.02Beta
//Part Number: GW1NR-LV9MG100PAC7/I6
//Device: GW1NR-9C
//Created Time: Tue Mar 09 17:17:19 2021

//Change the instance name and port connections to the signal names
//--------Copy here to design--------

	UHS_PSRAM_Memory_Interface_2CH_Top your_instance_name(
		.clk(clk_i), //input clk
		.rst_n(rst_n_i), //input rst_n
		.memory_clk(memory_clk_i), //input memory_clk
		.pll_lock(pll_lock_i), //input pll_lock
		.O_apsram_ck(O_apsram_ck_o), //output [3:0] O_apsram_ck
		.O_apsram_ck_n(O_apsram_ck_n_o), //output [3:0] O_apsram_ck_n
		.IO_apsram_dqs(IO_apsram_dqs_io), //inout [3:0] IO_apsram_dqs
		.IO_apsram_dq(IO_apsram_dq_io), //inout [31:0] IO_apsram_dq
		.O_apsram_cs_n(O_apsram_cs_n_o), //output [3:0] O_apsram_cs_n
		.O_apsram_dm(O_apsram_dm_o), //output [3:0] O_apsram_dm
		.init_calib0(init_calib0_o), //output init_calib0
		.init_calib1(init_calib1_o), //output init_calib1
		.clk_out(clk_out_o), //output clk_out
		.cmd0(cmd0_i), //input cmd0
		.cmd1(cmd1_i), //input cmd1
		.cmd_en0(cmd_en0_i), //input cmd_en0
		.cmd_en1(cmd_en1_i), //input cmd_en1
		.addr0(addr0_i), //input [21:0] addr0
		.addr1(addr1_i), //input [21:0] addr1
		.wr_data0(wr_data0_i), //input [63:0] wr_data0
		.wr_data1(wr_data1_i), //input [63:0] wr_data1
		.wr_en0(wr_en0_i), //input wr_en0
		.wr_en1(wr_en1_i), //input wr_en1
		.rd_data0(rd_data0_o), //output [63:0] rd_data0
		.rd_data1(rd_data1_o), //output [63:0] rd_data1
		.rd_data_valid0(rd_data_valid0_o), //output rd_data_valid0
		.rd_data_valid1(rd_data_valid1_o), //output rd_data_valid1
		.data_mask0(data_mask0_i), //input [7:0] data_mask0
		.data_mask1(data_mask1_i), //input [7:0] data_mask1
		.burst_num0(burst_num0_i), //input [9:0] burst_num0
		.burst_num1(burst_num1_i), //input [9:0] burst_num1
		.cmd_rdy0(cmd_rdy0_o), //output cmd_rdy0
		.cmd_rdy1(cmd_rdy1_o) //output cmd_rdy1
	);

//--------Copy end-------------------
